Subject: Re: bug#53702: 27.1; diary does not display some entries in european style
From: Stefan Kangas <[email-masked]>
To: Lars Ingebrigtsen <[email-masked]>, Michael Heerdegen <[email-masked]>
Cc: Francesco Potortì <[email-masked]>, [email-masked]
Date: Sun, 23 Feb 2025 05:38:05 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 31.1

Lars Ingebrigtsen <[email-masked]> writes:

> Michael Heerdegen <[email-masked]> writes:
>
>> did you have the chance to try if that patch (repeated below) fixes your
>> problem?
>
> This was half a year ago, but I see that Francesco wasn't in the CCs, so
> perhaps he never got the message?
>
> Francesco, can you try Michael's patch and see whether that fixes the
> problem?
>
>> I'm now a bit worried about this paragraph in
>> (info "(emacs) Appointments"):
>>
>> |    You can write times in am/pm style (with ‘12:00am’ standing for
>> | midnight and ‘12:00pm’ standing for noon), or 24-hour European/military
>> | style.  You need not be consistent; your diary file can have a mixture
>> | of the two styles.  Times must be at the beginning of diary entries if
>> | they are to be recognized.
>>
>> Military style is 1200 for 12:00am, right?  This definitely can't be
>> used everywhere when using the European style because lines get
>> ambiguous: for digits could mean a year - or a military time in a line
>> not specifying a year.  Should that paragraph be corrected?
>
> 12:00am (midnight) is the same as 00:00/24:00 in military style.

This patch fixes the bug here, so I installed it with a fixed up commit
message (commit 8b0043ffd60).  I'm therefore closing this bug report.